Get Target Objects

Returns available model sync destinations for a connection. If the connection supports creating new destinations, the `target_creation` object will contain information on what properties are required to create the target. Target creation properties are all string values; the `enum` flag indicates if the property has a fixed set of valid values. When `enum` is `true`, the [Target Creation Property Values](https://apidocs.polytomic.com/2024-02-08/api-reference/model-sync/targets/get-create-property) endpoint can be used to retrieve the valid values. ## Sync modes The sync mode determines which records are written to the destination for a model sync. The `modes` array for a target object defines the `id` along with what operations the mode supports.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

Headers

X-Polytomic-VersionstringOptional

Response

OK
datalist of objects
target_creationobject

Errors

400
Targets List Request Bad Request Error
401
Targets List Request Unauthorized Error
403
Targets List Request Forbidden Error
404
Targets List Request Not Found Error
500
Targets List Request Internal Server Error